WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
winstd::num_runtime_error< _Tn > Class Template Reference
Exceptions

Numerical runtime error. More...

`#include <WinStd/Common.h>`

Inheritance diagram for winstd::num_runtime_error< _Tn >:

## Public Types
typedef _Tn | error_type
| Error number type.

## Public Member Functions
| num_runtime_error (error_type num, const std::string &msg)
| Constructs an exception.
| num_runtime_error (error_type num, const char *msg=nullptr)
| Constructs an exception.
error_type | number () const
| Returns the error number.

## Protected Attributes
error_type | m_num
| Numeric error code.

## Detailed Description

template<typename _Tn>
class winstd::num_runtime_error< _Tn >

Numerical runtime error.

## Constructor & Destructor Documentation

## ◆ num_runtime_error() [1/2]

template<typename _Tn >

winstd::num_runtime_error< _Tn >::num_runtime_error | ( | error_type | num,
|  | const std::string & | msg )
| inline

Constructs an exception.

Parameters

  [in] | num | Numeric error code
  [in] | msg | Error message

## ◆ num_runtime_error() [2/2]

template<typename _Tn >

winstd::num_runtime_error< _Tn >::num_runtime_error | ( | error_type | num,
|  | const char * | msg = nullptr )
| inline

Constructs an exception.

Parameters

  [in] | num | Numeric error code
  [in] | msg | Error message

The documentation for this class was generated from the following file:

- include/WinStd/Common.h